import java.awt.Canvas;
import java.io.FileOutputStream;

public class Class181 {

   static FileOutputStream aFileOutputStream2196;
   public static int anInt2197;
   public static Class171[] aClass171Array2198;


   public static Class545 method3214(Canvas var0, Interface24 var1, int var2, int var3) {
      return new Class545_Sub3(var0, var1, var2, var3);
   }

   public static Class545 method3215(Canvas var0, Interface24 var1, int var2, int var3) {
      return new Class545_Sub3(var0, var1, var2, var3);
   }

   public static Class545 method3216(Canvas var0, Interface24 var1, int var2, int var3) {
      return new Class545_Sub3(var0, var1, var2, var3);
   }

   public static Class545 method3217(Canvas var0, Interface24 var1, int var2, int var3) {
      return new Class545_Sub3(var0, var1, var2, var3);
   }

   Class181() throws Throwable {
      throw new Error();
   }

   public static void method3218(byte var0) {
      Class124.aClass564_1361.method11976((byte)87);
      Class124.aClass564_1428.method11976((byte)37);
      Class124.aClass564_1381.method11976((byte)55);
      Class124.aClass564_1363.method11976((byte)84);
   }

   public static void method3219(Class253 var0, int var1) {
      Class364.aClass253_4585 = var0;
   }

   static final void method3220(int var0, int var1) {
      if(!Class485.method8143(var0, (int[])null, -2101766990)) {
         if(var1 != 262144) {
            ;
         }
      } else {
         Class562.method11952(Class18.aClass121Array188[var0].aClass124Array1207, -1, (byte)-89);
      }
   }

   static final void method3221(Class508 var0, byte var1) {
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class118_Sub6.method13180(client.anInt7734 * 1881519639, 231535812)?1:0;
   }
}
